# Auslassungen in NoSta-D-unicum

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(unicum_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(unicum_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(unicum_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))

##########

# Auslassungen in NoSta-D-bematac

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(bematac_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(bematac_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(bematac_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))

##########

# Auslassungen in NoSta-D-tuebadz

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(tuebadz_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(tuebadz_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(tuebadz_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))

##########

# Auslassungen in NoSta-D-kafka

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(kafka_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(kafka_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(kafka_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))

##########

# Auslassungen in NoSta-D-anselm

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(anselm_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(anselm_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(anselm_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))

##########

# Auslassungen in NoSta-D-falko

# Parallel angebundene Dependenten:

parallel_angebundene_deps<-subset(falko_align,
                                  subset=(!is.na(orig_govID) &
                                          !is.na(norm_govID) &
                                          orig_govID==norm_govID))

# Abweichend angebundene Dependenten:

abweichend_angebundene_deps<-subset(falko_align,
                                    subset=(!is.na(orig_govID) &
                                            !is.na(norm_govID) &
                                            orig_govID!=norm_govID))

# Fehlende Dependenten:

fehlende_deps<-subset(falko_align,
                      subset=( is.na(orig_govID) &
                              !is.na(norm_govID)))

# Auszählung abweichend angebundener Dependenten

# an Segmentwurzel

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_tok=="_")))

# an nächsthöhere Konjunktion (C)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(orig_gov_pos=="KON")))

# an nächsthöheres Verbum dicendi (DR)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 2)=="DR")))

# an nächsthöheren Regenten (X)-gebunden

nrow(subset(abweichend_angebundene_deps, subset=(substr(orig_dep, 1, 1)=="X")))